<?php
namespace NicolasBejean\CategoryWidget\Ui\Component\Listing\Column;

use \Magento\Store\Ui\Component\Listing\Column\Store as ColumnStore;

/**
 * Class Store
 *
 * @category PHP
 * @package  NNicolasBejean\CategoryWidget\Ui\Component\Listing\Column
 * @author   Nicolas Béjean <nicolas@bejean.eu>
 * @license  https://github.com/nicolasbejean/category-widget/blob/master/licence.txt BSD Licence
 * @link     https://www.bejean.eu
 */
class Store extends ColumnStore
{
    /**
     * Fix magento bug with function empty
     *
     * @param array $item
     * @return string
     */
    protected function prepareItem(array $item)
    {
        if ($item[$this->storeKey] == 0) {
            $item[$this->storeKey] = [0];
        }

        return parent::prepareItem($item);
    }
}
